StarPU Handbook

Macros
starpu_util.h File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <stdint.h>`
`#include <string.h>`
`#include <assert.h>`
`#include <starpu_config.h>`
`#include <sys/time.h>`

Go to the source code of this file.

## Macros
#define | STARPU_GNUC_PREREQ(maj, min)
#define | STARPU_UNLIKELY(expr)
#define | STARPU_LIKELY(expr)
#define | STARPU_ATTRIBUTE_UNUSED
#define | STARPU_ATTRIBUTE_NORETURN
#define | STARPU_ATTRIBUTE_INTERNAL
#define | STARPU_ATTRIBUTE_MALLOC
#define | STARPU_ATTRIBUTE_WARN_UNUSED_RESULT
#define | STARPU_ATTRIBUTE_PURE
#define | STARPU_ATTRIBUTE_ALIGNED(size)
#define | STARPU_ATTRIBUTE_FORMAT(type, string, first)
#define | STARPU_INLINE
#define | STARPU_ATTRIBUTE_CALLOC_SIZE(num, size)
#define | STARPU_ATTRIBUTE_ALLOC_SIZE(size)
#define | endif
#define | STARPU_WARN_UNUSED_RESULT
#define | STARPU_BACKTRACE_LENGTH
#define | STARPU_DUMP_BACKTRACE()
#define | STARPU_SIMGRID_ASSERT(x)
#define | STARPU_ASSERT(x)
#define | STARPU_ASSERT_ACCESSIBLE(ptr)
#define | STARPU_ASSERT_MSG(x, msg, ...)
#define | _starpu_abort()
#define | STARPU_ABORT()
#define | STARPU_ABORT_MSG(msg, ...)
#define | STARPU_CHECK_RETURN_VALUE(err, message, ...)
#define | STARPU_CHECK_RETURN_VALUE_IS(err, value, message, ...)
#define | STARPU_ATOMIC_SOMETHING(name, expr)
#define | STARPU_ATOMIC_SOMETHINGL(name, expr)
#define | STARPU_ATOMIC_SOMETHING64(name, expr)
#define | STARPU_BOOL_COMPARE_AND_SWAP_PTR(ptr, old, value)
#define | STARPU_VAL_COMPARE_AND_SWAP_PTR(ptr, old, value)
#define | STARPU_RMB()
#define | STARPU_WMB()
#define | STARPU_CACHELINE_SIZE